Page 1 of 2 12 LastLast
Results 1 to 10 of 12

Thread: qtwebkit dependency for google-musicmanager-beta

  1. #1
    Join Date
    Mar 2010
    Location
    Paris, France
    Posts
    48

    Default qtwebkit dependency for google-musicmanager-beta

    Hi folks,
    Not so long ago I had google musicmanager installed and working.
    I uninstalled it, and now want to install it back, but it complains (either via YAST and the google repo, or downloading it manually and trying via rpm command) that nothing provides qtwebkit, while I have libQtWebKit installed ...

    Any thoughts ?
    OpenSUSE 13.1 x64 on a Asrock H87 Performance, 8Go RAM, Intel core i5 4670, GTX 670. Dual boot Windows 8.1, two separate hard drives.

  2. #2
    graham NNTP User

    Default Re: qtwebkit dependency for google-musicmanager-beta

    AKoine wrote:

    >
    > Hi folks,
    > Not so long ago I had google musicmanager installed and working.
    > I uninstalled it, and now want to install it back, but it complains
    > (either via YAST and the google repo, or downloading it manually and
    > trying via rpm command) that nothing provides qtwebkit, while I have
    > libQtWebKit installed ...
    >
    > Any thoughts ?
    >
    >

    Try
    install the 32bit version of libQTWebkit

  3. #3
    Join Date
    Mar 2010
    Location
    Paris, France
    Posts
    48

    Default Re: qtwebkit dependency for google-musicmanager-beta

    Thanks graham,

    Tried it already, to no avail ...
    OpenSUSE 13.1 x64 on a Asrock H87 Performance, 8Go RAM, Intel core i5 4670, GTX 670. Dual boot Windows 8.1, two separate hard drives.

  4. #4

    Default Re: qtwebkit dependency for google-musicmanager-beta

    I just installed the rpm without dependency check (because I was sure I had qtwebkit):

    $ sudo rpm -i --nodeps google-musicmanager-beta_current_x86_64.rpm

    It seems to be working well.

    -Joon
    Dell Precision T7500 | Nvidia | 12GB Ram | openSUSE 12.1 x86-64 | Gnome 3.2

  5. #5
    Join Date
    Mar 2010
    Location
    Paris, France
    Posts
    48

    Default Re: qtwebkit dependency for google-musicmanager-beta

    Ok.
    I'm away from home for a while, I'll try that as soon as I can.
    Thanks very much for the reply,

    Antoine
    OpenSUSE 13.1 x64 on a Asrock H87 Performance, 8Go RAM, Intel core i5 4670, GTX 670. Dual boot Windows 8.1, two separate hard drives.

  6. #6

    Default Re: qtwebkit dependency for google-musicmanager-beta

    I just tried the trick with installing and ignoring the dependency, and even though it was b*tching during the install process, MusicManager works perfectly.

    Thanks!

  7. #7
    Join Date
    Nov 2012
    Location
    Somewhere in America.
    Posts
    10

    Default Re: qtwebkit dependency for google-musicmanager-beta

    I used Yast in the terminal to install it. It gives you the option to install w/o dependencies as well. Pretty easy. Really starting to like my new setup here in openSUSE world.

  8. #8
    Join Date
    Aug 2012
    Location
    Austin, TX
    Posts
    77

    Default Re: qtwebkit dependency for google-musicmanager-beta

    Quote Originally Posted by matt4179 View Post
    Really starting to like my new setup here in openSUSE world.
    Glad to hear that!

  9. #9
    Join Date
    Jun 2008
    Location
    Groningen, Netherlands
    Posts
    19,783
    Blog Entries
    14

    Default Re: qtwebkit dependency for google-musicmanager-beta

    Nice you all got this working, but let me please explain that ignoring dependencies is not the way to go. Seen to many posts over the years, where users interpreted threads like this one as a reason to start ignoring deps anyway, bringing themselves into trouble.
    ° Appreciate my reply? Click the star and let me know why.

    ° Perfection is not gonna happen. No way.

    https://en.opensuse.org/openSUSE:Board#Members
    http://en.opensuse.org/User:Knurpht
    http://nl.opensuse.org/Gebruiker:Knurpht

  10. #10
    Join Date
    Nov 2012
    Location
    Somewhere in America.
    Posts
    10

    Default Re: qtwebkit dependency for google-musicmanager-beta

    Quote Originally Posted by Knurpht View Post
    Nice you all got this working, but let me please explain that ignoring dependencies is not the way to go. Seen to many posts over the years, where users interpreted threads like this one as a reason to start ignoring deps anyway, bringing themselves into trouble.
    I looked in my installed packages and found that a qtwebkit4 was installed. I am not new to linux but am always learning so now I am wondering is this just an upgraded package with qt4 witha name change?

Page 1 of 2 12 LastLast

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •